# The InfiniteIterator class

(PHP 5 >= 5.1.0, PHP 7)

## Introduction

The InfiniteIterator allows one to infinitely iterate over an iterator without having to manually rewind the iterator upon reaching its end.

## Class synopsis

InfiniteIterator extends IteratorIterator implements OuterIterator {
/* Methods */
public __construct ( Iterator `$iterator` )
public next ( void ) : void
/* Inherited methods */
public IteratorIterator::__construct ( Traversable `$iterator` )
public IteratorIterator::current ( void ) : mixed
public IteratorIterator::getInnerIterator ( void ) : Traversable
public IteratorIterator::key ( void ) : mixed
public IteratorIterator::next ( void ) : void
public IteratorIterator::rewind ( void ) : void
public IteratorIterator::valid ( void ) : bool
}

## Table of Contents

- InfiniteIterator::__construct — Constructs an InfiniteIterator
- InfiniteIterator::next — Moves the inner Iterator forward or rewinds it